<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:29 CEST 2018 -->
<title>Inventory</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Inventory";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Inventory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../ch/sebi/zuul/logic/items/BasicItem.html" title="class in ch.sebi.zuul.logic.items"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?ch/sebi/zuul/logic/items/Inventory.html" target="_top">Frames</a></li>
<li><a href="Inventory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ch.sebi.zuul.logic.items</div>
<h2 title="Class Inventory" class="title">Class Inventory</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>ch.sebi.zuul.logic.items.Inventory</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Inventory</span>
extends java.lang.Object</pre>
<div class="block">An inventory</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Sebastian Zumbrunn</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/items/Inventory.html#maxSlots">maxSlots</a></span></code>
<div class="block">the max allowed numbers of slots</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.HashMap&lt;java.lang.Integer,<a href="../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/items/Inventory.html#slots">slots</a></span></code>
<div class="block">The slots mapped to their slot number</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/items/Inventory.html#Inventory-int-">Inventory</a></span>(int&nbsp;maxSlots)</code>
<div class="block">constructor</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/items/Inventory.html#findItem-ch.sebi.zuul.logic.items.Item-">findItem</a></span>(<a href="../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>&nbsp;item)</code>
<div class="block">Finds the slot id for the given item</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/items/Inventory.html#getItemSlots--">getItemSlots</a></span>()</code>
<div class="block">Returns all slots stored in the inventory</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/items/Inventory.html#getMaxSlots--">getMaxSlots</a></span>()</code>
<div class="block">Returns the max slot number valid in this inventory</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/items/Inventory.html#getSlot-int-">getSlot</a></span>(int&nbsp;i)</code>
<div class="block">Returns the slot with the given slot number or null if the slot doesn't exist yet</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/items/Inventory.html#incrementSlot-int-int-">incrementSlot</a></span>(int&nbsp;slot,
             int&nbsp;amount)</code>
<div class="block">Increments the amount of items in the given slot by the given amount</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/items/Inventory.html#removeSlot-int-">removeSlot</a></span>(int&nbsp;slot)</code>
<div class="block">Removes a slot from the inventory</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/items/Inventory.html#setMaxSlots-int-">setMaxSlots</a></span>(int&nbsp;maxSlots)</code>
<div class="block">Sets a new max slot number for the inventory.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/items/Inventory.html#setNewSlot-ch.sebi.zuul.logic.items.Item-int-">setNewSlot</a></span>(<a href="../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>&nbsp;item,
          int&nbsp;amount)</code>
<div class="block">Creates a new slot where there is space.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/items/Inventory.html#setSlot-int-ch.sebi.zuul.logic.items.Item-int-">setSlot</a></span>(int&nbsp;slot,
       <a href="../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>&nbsp;i,
       int&nbsp;amount)</code>
<div class="block">Creates a new slot an sets it to the given slot number</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/items/Inventory.html#updateSlot-int-int-">updateSlot</a></span>(int&nbsp;slot,
          int&nbsp;amount)</code>
<div class="block">Updates the slot with the given slot id with the new amount</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="slots">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>slots</h4>
<pre>private&nbsp;java.util.HashMap&lt;java.lang.Integer,<a href="../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a>&gt; slots</pre>
<div class="block">The slots mapped to their slot number</div>
</li>
</ul>
<a name="maxSlots">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>maxSlots</h4>
<pre>private&nbsp;int maxSlots</pre>
<div class="block">the max allowed numbers of slots</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Inventory-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Inventory</h4>
<pre>public&nbsp;Inventory(int&nbsp;maxSlots)</pre>
<div class="block">constructor</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>maxSlots</code> - the max numbers of slots allowed in this inventory</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setNewSlot-ch.sebi.zuul.logic.items.Item-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNewSlot</h4>
<pre>public&nbsp;void&nbsp;setNewSlot(<a href="../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>&nbsp;item,
                       int&nbsp;amount)
                throws <a href="../../../../../ch/sebi/zuul/exceptions/NoSpaceException.html" title="class in ch.sebi.zuul.exceptions">NoSpaceException</a></pre>
<div class="block">Creates a new slot where there is space. If there is no space left, then a <a href="../../../../../ch/sebi/zuul/exceptions/NoSpaceException.html" title="class in ch.sebi.zuul.exceptions"><code>NoSpaceException</code></a> is thrown.
 The newly created slot is filled with the given item by the given amount</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>item</code> - the item which is in the new slot</dd>
<dd><code>amount</code> - how many items are in the new slot</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../ch/sebi/zuul/exceptions/NoSpaceException.html" title="class in ch.sebi.zuul.exceptions">NoSpaceException</a></code> - if there is now space left for a new slot</dd>
</dl>
</li>
</ul>
<a name="setSlot-int-ch.sebi.zuul.logic.items.Item-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSlot</h4>
<pre>public&nbsp;void&nbsp;setSlot(int&nbsp;slot,
                    <a href="../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>&nbsp;i,
                    int&nbsp;amount)
             throws <a href="../../../../../ch/sebi/zuul/exceptions/IllegalSlotNumberException.html" title="class in ch.sebi.zuul.exceptions">IllegalSlotNumberException</a></pre>
<div class="block">Creates a new slot an sets it to the given slot number</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>slot</code> - the slot number/id</dd>
<dd><code>i</code> - the item which is stored in the slot</dd>
<dd><code>amount</code> - the amount of this kind of item</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../ch/sebi/zuul/exceptions/IllegalSlotNumberException.html" title="class in ch.sebi.zuul.exceptions">IllegalSlotNumberException</a></code> - if the given slot number is higher than the max slot number or lower than zero</dd>
</dl>
</li>
</ul>
<a name="removeSlot-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeSlot</h4>
<pre>public&nbsp;void&nbsp;removeSlot(int&nbsp;slot)
                throws <a href="../../../../../ch/sebi/zuul/exceptions/IllegalSlotNumberException.html" title="class in ch.sebi.zuul.exceptions">IllegalSlotNumberException</a></pre>
<div class="block">Removes a slot from the inventory</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>slot</code> - the slot number of the slot to remove</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../ch/sebi/zuul/exceptions/IllegalSlotNumberException.html" title="class in ch.sebi.zuul.exceptions">IllegalSlotNumberException</a></code> - if the given slot number is higher than the max slot number or lower than zero</dd>
</dl>
</li>
</ul>
<a name="updateSlot-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateSlot</h4>
<pre>public&nbsp;boolean&nbsp;updateSlot(int&nbsp;slot,
                          int&nbsp;amount)
                   throws <a href="../../../../../ch/sebi/zuul/exceptions/IllegalSlotNumberException.html" title="class in ch.sebi.zuul.exceptions">IllegalSlotNumberException</a></pre>
<div class="block">Updates the slot with the given slot id with the new amount</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>slot</code> - the slot id which is updated</dd>
<dd><code>amount</code> - the new amount which is saved to slot</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>if the operation was successful or not</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../ch/sebi/zuul/exceptions/IllegalSlotNumberException.html" title="class in ch.sebi.zuul.exceptions">IllegalSlotNumberException</a></code> - if the given slot number does not exist or is higher than the max slot number
                                    or lower than zero</dd>
</dl>
</li>
</ul>
<a name="incrementSlot-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>incrementSlot</h4>
<pre>public&nbsp;void&nbsp;incrementSlot(int&nbsp;slot,
                          int&nbsp;amount)
                   throws <a href="../../../../../ch/sebi/zuul/exceptions/IllegalSlotNumberException.html" title="class in ch.sebi.zuul.exceptions">IllegalSlotNumberException</a></pre>
<div class="block">Increments the amount of items in the given slot by the given amount</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>slot</code> - the slot whoms amount is increased</dd>
<dd><code>amount</code> - the amount by which it is increased</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../ch/sebi/zuul/exceptions/IllegalSlotNumberException.html" title="class in ch.sebi.zuul.exceptions">IllegalSlotNumberException</a></code></dd>
</dl>
</li>
</ul>
<a name="findItem-ch.sebi.zuul.logic.items.Item-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findItem</h4>
<pre>public&nbsp;int&nbsp;findItem(<a href="../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>&nbsp;item)</pre>
<div class="block">Finds the slot id for the given item</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>item</code> - the item which should  be found</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the slot id or -1 if the slot coundn't be found</dd>
</dl>
</li>
</ul>
<a name="getSlot-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSlot</h4>
<pre>public&nbsp;<a href="../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a>&nbsp;getSlot(int&nbsp;i)</pre>
<div class="block">Returns the slot with the given slot number or null if the slot doesn't exist yet</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>i</code> - the slot number of the slot</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the slot or null</dd>
</dl>
</li>
</ul>
<a name="getItemSlots--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getItemSlots</h4>
<pre>public&nbsp;<a href="../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a>[]&nbsp;getItemSlots()</pre>
<div class="block">Returns all slots stored in the inventory</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>all slots</dd>
</dl>
</li>
</ul>
<a name="getMaxSlots--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxSlots</h4>
<pre>public&nbsp;int&nbsp;getMaxSlots()</pre>
<div class="block">Returns the max slot number valid in this inventory</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the max slot number</dd>
</dl>
</li>
</ul>
<a name="setMaxSlots-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setMaxSlots</h4>
<pre>public&nbsp;void&nbsp;setMaxSlots(int&nbsp;maxSlots)</pre>
<div class="block">Sets a new max slot number for the inventory.
 If the new slot number is smaller than the old
 then all slots which are not reachable anymore are deleted</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>maxSlots</code> - the max slot number valid in the inventory</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Inventory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../ch/sebi/zuul/logic/items/BasicItem.html" title="class in ch.sebi.zuul.logic.items"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?ch/sebi/zuul/logic/items/Inventory.html" target="_top">Frames</a></li>
<li><a href="Inventory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
